### Hierarchy

- default

## Index

### Constructors

- constructor

### Methods

- cancel
- download

## Constructors

### constructor

- new default(tiles: OfflineTile[], callbacks: OfflineOnTileDownload, workers: number): default

- - Defined in src/offline/TilesDownloader.js:43

  #### Parameters

  - ##### tiles: OfflineTile[]

    An array of tiles to download.

  - ##### callbacks: OfflineOnTileDownload

    The callbacks.

  - ##### workers: number

    The maximum number of workers.

  #### Returns default

## Methods

### cancel

- cancel(): void

- - Defined in src/offline/TilesDownloader.js:112

  #### Returns void

### download

- download(): Promise<void>

- - Defined in src/offline/TilesDownloader.js:119

  #### Returns Promise<void>

  A promise that resolves when the downloads are complete (failing or not)

Generated using TypeDoc